# OpenLayers.Control.MouseDefaults

This class is DEPRECATED in 2.4 and will be removed by 3.0. If you need this functionality, use OpenLayers.Control.Navigation instead!!!

This class is DEPRECATED in 2.4 and will be removed by 3.0. If you need this functionality, use Control.Navigation instead!!!

#### Inherits from

- OpenLayers.Control

Summary

OpenLayers.Control.MouseDefaults | This class is DEPRECATED in 2.4 and will be removed by 3.0.
Properties |
performedDrag | {Boolean}
wheelObserver | {Function}
Constructor |
OpenLayers.Control.MouseDefaults |
Functions |
destroy |
draw |
registerWheelEvents |
defaultClick |
defaultDblClick |
defaultMouseDown |
defaultMouseMove |
defaultMouseUp |
defaultMouseOut |
defaultWheelUp | User spun scroll wheel up
defaultWheelDown | User spun scroll wheel down
zoomBoxEnd | Zoombox function.
removeZoomBox | Remove the zoombox from the screen and nullify our reference to it.
onWheelEvent | Catch the wheel event and handle it xbrowserly

### Properties

### performedDrag

{Boolean}

### wheelObserver

{Function}

### Constructor

### OpenLayers.Control.MouseDefaults

### Functions

### destroy

> destroy: function()

### draw

> draw: function()

### registerWheelEvents

> registerWheelEvents: function()

### defaultClick

> defaultClick: function ( | evt | )

#### Parameters

evt | {Event}

#### Returns

{Boolean}

### defaultDblClick

> defaultDblClick: function ( | evt | )

#### Parameters

evt | {Event}

### defaultMouseDown

> defaultMouseDown: function ( | evt | )

#### Parameters

evt | {Event}

### defaultMouseMove

> defaultMouseMove: function ( | evt | )

#### Parameters

evt | {Event}

### defaultMouseUp

> defaultMouseUp: function ( | evt | )

#### Parameters

evt | {OpenLayers.Event}

### defaultMouseOut

> defaultMouseOut: function ( | evt | )

#### Parameters

evt | {Event}

### defaultWheelUp

> defaultWheelUp: function( | evt | )

User spun scroll wheel up

### defaultWheelDown

> defaultWheelDown: function( | evt | )

User spun scroll wheel down

### zoomBoxEnd

> zoomBoxEnd: function( | evt | )

Zoombox function.

### removeZoomBox

> removeZoomBox: function()

Remove the zoombox from the screen and nullify our reference to it.

### onWheelEvent

> onWheelEvent: function( | e | )

Catch the wheel event and handle it xbrowserly

#### Parameters

e | {Event}

> destroy: function()

> draw: function()

> registerWheelEvents: function()

> defaultClick: function ( | evt | )

> defaultDblClick: function ( | evt | )

> defaultMouseDown: function ( | evt | )

> defaultMouseMove: function ( | evt | )

> defaultMouseUp: function ( | evt | )

> defaultMouseOut: function ( | evt | )

> defaultWheelUp: function( | evt | )

User spun scroll wheel up

> defaultWheelDown: function( | evt | )

User spun scroll wheel down

> zoomBoxEnd: function( | evt | )

Zoombox function.

> removeZoomBox: function()

Remove the zoombox from the screen and nullify our reference to it.

> onWheelEvent: function( | e | )

Catch the wheel event and handle it xbrowserly
The navigation control handles map browsing with mouse events (dragging, double-clicking, and scrolling the wheel).
Controls affect the display or behavior of the map.
Utility functions for event handling.
Close